MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026413Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-09 20:552016-04-20 15:48
Reporteraan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026413: Visualization, SelectMgr_ViewerSelector - Pixel tolerance is overridden by selection sensitivity
DescriptionIn summary it is impossible to select edges in local context on touch screen display. Even setting a large pixel tolerance the elements are detected when you click at distance of 2 pixels.
Steps To Reproducetest/bugs/vis/bug26413
TagsNo tags attached.
Test case numberbugs vis bug26413
Attached Files

- Relationships

-  Notes
(0043165)
git (administrator)
2015-07-17 19:15

Branch CR26413 has been created by vpa.

SHA-1: 62699eaadfcad8631e837927815ede618bcec6dd


Detailed log of new commits:

Author: vpa
Date: Fri Jul 17 19:15:01 2015 +0300

    0026413: Visualization, SelectMgr_ViewerSelector - Pixel tolerance is overridden by selection sensitivity
    
    - now custom pixel tolerance from vselprecision is added to default sensitivity of the primitive;
    - unnecessary field mytolerance was removed from SelectMgr_ViewerSelector;
    - test case for issue 0026413.
(0043166)
vpa (developer)
2015-07-17 19:16

Dear Anton,

the patch in branch CR26413 is ready to be reviewed.
(0043168)
kgv (developer)
2015-07-17 21:48

-  Standard_EXPORT Standard_Real Tolerance();
+  Standard_EXPORT inline Standard_Real Tolerance() const;

inline methods can not be exported.
(0043180)
git (administrator)
2015-07-20 11:48

Branch CR26413 has been updated forcibly by vpa.

SHA-1: 57712ab4cdf14ac700228342f234bbfe3204d46a
(0043181)
vpa (developer)
2015-07-20 11:51

Dear Kirill,

your remark was taken into account in updated version of CR26413.
(0043182)
git (administrator)
2015-07-20 11:55

Branch CR26413 has been updated forcibly by vpa.

SHA-1: 27212dd816575dffb90d9820148d7543e51ae450
(0043183)
apl (developer)
2015-07-20 12:22

Dear bugmaster,

Please test branch CR26413.
(0043349)
git (administrator)
2015-07-23 16:43

Branch CR26413 has been updated forcibly by apv.

SHA-1: c13f0a1ebeb198c1445d6d8645379d85ff219887
(0043350)
apv (tester)
2015-07-23 16:43

Branch CR26413 has been rebased on the current master
(0043437)
apv (tester)
2015-07-27 10:16

Dear BugMaster,

Branch CR26413 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c13f0a1ebeb198c1445d6d8645379d85ff219887

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26413 - OK
http://occt-tests/CR26413-master-occt-64/Debian70-64/bugs/vis/bug26413.html [^]
http://occt-tests/CR26413-master-occt-64/Windows-64-VC10/bugs/vis/bug26413.html [^]

Testing on Linux:
Total MEMORY difference: 99694192 / 99949630 [-0.26%]
Total CPU difference: 17436.469999999543 / 17440.339999999436 [-0.02%]

Testing on Windows:
Total MEMORY difference: 58134662 / 58585382 [-0.77%]
Total CPU difference: 16177.50650129924 / 16887.638653399295 [-4.21%]
(0044168)
git (administrator)
2015-08-14 10:54

Branch CR26413 has been deleted by inv.

SHA-1: c13f0a1ebeb198c1445d6d8645379d85ff219887

- Related Changesets
occt: master 29a4908e
Timestamp: 2015-07-20 08:46:12
Author: vpa
Committer: bugmaster
Details ] Diff ]
0026413: Visualization, SelectMgr_ViewerSelector - Pixel tolerance is overridden by selection sensitivity

- now custom pixel tolerance from vselprecision is added to default sensitivity of the primitive;
- unnecessary field mytolerance was removed from SelectMgr_ViewerSelector;
- test case for issue 0026413.
mod - src/IVtkOCC/IVtkOCC_ViewerSelector.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.lxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.lxx Diff ] File ]
add - tests/bugs/vis/bug26413 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-09 20:55 aan New Issue
2015-07-09 20:55 aan Assigned To => apl
2015-07-14 16:23 apl Status new => assigned
2015-07-14 16:23 apl Assigned To apl => vpa
2015-07-17 19:15 git Note Added: 0043165
2015-07-17 19:16 vpa Note Added: 0043166
2015-07-17 19:16 vpa Assigned To vpa => apl
2015-07-17 19:16 vpa Status assigned => resolved
2015-07-17 19:16 vpa Steps to Reproduce Updated View Revisions
2015-07-17 21:48 kgv Note Added: 0043168
2015-07-20 11:48 git Note Added: 0043180
2015-07-20 11:51 vpa Note Added: 0043181
2015-07-20 11:55 git Note Added: 0043182
2015-07-20 12:22 apl Note Added: 0043183
2015-07-20 12:22 apl Assigned To apl => bugmaster
2015-07-20 12:22 apl Status resolved => reviewed
2015-07-23 16:43 git Note Added: 0043349
2015-07-23 16:43 apv Note Added: 0043350
2015-07-23 16:43 apv Assigned To bugmaster => apv
2015-07-27 09:26 apv Test case number => bugs vis bug26413
2015-07-27 10:16 apv Note Added: 0043437
2015-07-27 10:16 apv Assigned To apv => bugmaster
2015-07-27 10:16 apv Status reviewed => tested
2015-07-31 12:31 bugmaster Changeset attached => occt master 29a4908e
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-08-14 10:54 git Note Added: 0044168
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker